Bug 87234 - breeze icon theme is incomplete
Summary: breeze icon theme is incomplete
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: low normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:5.1.0
Keywords:
Depends on: 90387 91432
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-11 12:33 UTC by retired
Modified: 2016-10-25 19:19 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
no breeze icons in formula bar (18.11 KB, image/png)
2014-12-11 12:33 UTC, retired
Details
no breeze icons in formula bar (20.38 KB, image/png)
2014-12-11 12:35 UTC, retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description retired 2014-12-11 12:33:09 UTC
Created attachment 110737 [details]
no breeze icons in formula bar

LibreOfficeDev > Prefrences > Genereal > View > Icon set set to "Breeze", the awesome new Breeze icons do correctly show.

In spreadsheet the formula bar still uses sifr as fallback or breeze is still missing those icons.
Comment 1 retired 2014-12-11 12:35:20 UTC
Created attachment 110738 [details]
no breeze icons in formula bar
Comment 2 Yousuf Philips (jay) (retired) 2014-12-11 13:41:45 UTC
As breeze is currently incomplete and it falls back on icons from sifr, this isnt a bug IMHO.
Comment 3 Joel Madero 2014-12-12 05:24:37 UTC
Well - I see the issue so I'm setting to new. Jay is probably right though, just not complete yet.

@Foss - can you monitor this one going forward and close as RESOLVED once the icons appear? If they aren't there in a month or two, maybe we'll have to get Jay to poke (or prod) ux-team for an update :)
Comment 4 GerardF 2014-12-12 08:57:19 UTC
I have an old master without breeze icons.
Version: 4.5.0.0.alpha0+
Build ID: 7fcbb29db802acd8c0f32e8ff578ef4b2f82c46b
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-21_23:39:30
Locale: fr_FR

Are you sure that is is related to these icons?
When I change icons (any of them), icons in formula bar aren't changed untill I close and re-open LO.
Comment 5 Yousuf Philips (jay) (retired) 2014-12-13 03:30:26 UTC
There are many icons that are incomplete, like the number format icons in calc, as these icons havent been created yet by the KDE designer, so they wont be landing in master until they have been done. So i've change the bug title to state that the entire theme is incomplete, similar to us having a similar bug for sifr (bug 75256).

For the latest info about progress on breeze, you can check out these links.

https://github.com/NitruxSA/plasma-next-icons/issues/6
https://community.kde.org/KDE_Visual_Design_Group/LibreOffice_Breeze
https://redmine.documentfoundation.org/boards/1/topics/478?r=538
Comment 6 Commit Notification 2015-03-18 14:49:55 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e46594e7f31a7124defe6a05a3e4690a5bfa012

tdf#87234 - Addition of many large and small breeze icons

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-03-24 03:59:43 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e786be3ad4a64bc4f7378c3100bd4be0415f170

tdf#87234 Breeze: Tweak the alignment icons

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Adolfo Jayme 2015-03-24 10:41:22 UTC
For the record, adding Andreas’ earlier commit:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba1d0181c2e5e5562efa4fdeaf7b229b6a27907f
Comment 9 Commit Notification 2015-03-25 11:08:15 UTC
Andreas Kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1f9bfe0a1140da0e7e005a5b99051d9031712855

tdf#87234 Another round of breeze icon updates

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Yousuf Philips (jay) (retired) 2015-04-01 10:55:48 UTC
Current status of the completion of the breeze icon theme can be found in the following google docs link.

https://docs.google.com/document/d/1dpMFgmkQy4BsyRIKH97ZLPTU6NdvXIYk3Yossj6sSQM/edit?usp=sharing

And updates from the designer can be found on gerrit.

https://gerrit.libreoffice.org/#/q/owner:%22Andreas+Kainz+%253Ckainz.a%2540gmail.com%253E%22,n,z
Comment 11 Adolfo Jayme 2015-05-05 22:32:40 UTC
I’ll go ahead and close this. Breeze is now the most comprehensive icon set, after Galaxy.
Comment 12 Commit Notification 2015-10-01 09:34:37 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=55b2b9586662f3fe0f01633d41ddadefe08a84a1

tdf#87234 BREEZE: Fixing icons in the navigator sidebar

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.